package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author thy
 * @since 2023-04-01
 */
@TableName("ods_electricity_elec_ps_equip_relation_ts_a")
@ApiModel(value = "OdsElectricityElecPsEquipRelationTsA对象", description = "")
@Data
public class OdsElectricityElecPsEquipRelationTsA implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("关联设施表生产设施ID")
    private String productorEquipId;

    @ApiModelProperty("关联设施表治理设施ID")
    private String treatmentEquipId;

    @ApiModelProperty("治理设施提前开启分钟数")
    private Integer productorEquipPreMinutes;

    @ApiModelProperty("治理设施延后关闭分钟数")
    private Integer productorEquipPostMinutes;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getProductorEquipId() {
        return productorEquipId;
    }

    public void setProductorEquipId(String productorEquipId) {
        this.productorEquipId = productorEquipId;
    }
    public String getTreatmentEquipId() {
        return treatmentEquipId;
    }

    public void setTreatmentEquipId(String treatmentEquipId) {
        this.treatmentEquipId = treatmentEquipId;
    }
    public Integer getProductorEquipPreMinutes() {
        return productorEquipPreMinutes;
    }

    public void setProductorEquipPreMinutes(Integer productorEquipPreMinutes) {
        this.productorEquipPreMinutes = productorEquipPreMinutes;
    }
    public Integer getProductorEquipPostMinutes() {
        return productorEquipPostMinutes;
    }

    public void setProductorEquipPostMinutes(Integer productorEquipPostMinutes) {
        this.productorEquipPostMinutes = productorEquipPostMinutes;
    }

    @Override
    public String toString() {
        return "OdsElectricityElecPsEquipRelationTsA{" +
            "id=" + id +
            ", productorEquipId=" + productorEquipId +
            ", treatmentEquipId=" + treatmentEquipId +
            ", productorEquipPreMinutes=" + productorEquipPreMinutes +
            ", productorEquipPostMinutes=" + productorEquipPostMinutes +
        "}";
    }
}
